This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845561 - gluster volume rebalance status --xml ouputs wrong xml structure
gluster volume rebalance status --xml ouputs wrong xml structure
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kaushal
: Triaged
Depends On:
Blocks: 849298 858465
  Show dependency treegraph
 
Reported: 2012-08-03 08:41 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849298 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:21:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-08-03 08:41:22 EDT
current output is
                                    Node Rebalanced-files          size       scanned      failures         status run time in secs
                               ---------      -----------   -----------   -----------   -----------   ------------    -----------
                               localhost                0            0            0            0      completed           1.00
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>0</opRet><opErrno>3</opErrno><opErrstr></opErrstr><cliOp>volRebalance</cliOp><output></output></cliOutput>


expected output is
<cliOutput>
  <opRet>0</opRet>
  <opErrno>3</opErrno>
  <opErrstr></opErrstr>
  <REBALANCE OUTPUT IN PROPER XML HERE>
</cliOutput>
Comment 1 Kaushal 2012-10-10 03:21:03 EDT
Patch under review at http://review.gluster.org/3869
Comment 2 Kaushal 2012-10-11 23:50:11 EDT
Fixed by commit f1f3d1c (cli: Changes and enhancements to XML output) for bug https://bugzilla.redhat.com/show_bug.cgi?id=828131 . Reviewed at http://review.gluster.org/3869 .

Note You need to log in before you can comment on or make changes to this bug.